<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Interact/ActionDetachFromTarget.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/df0/_action_detach_from_target_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">ActionDetachFromTarget.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d7/df0/_action_detach_from_target_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d87/class_action_detach_from_target.html">ActionDetachFromTarget</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d69/class_action_detach_from_target___specific_slots_category.html">ActionDetachFromTarget_SpecificSlotsCategory</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/dd9/class_action_detach_from_target___specific_slot___wooden_planks.html">ActionDetachFromTarget_SpecificSlot_WoodenPlanks</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d7d/class_action_detach_from_target___specific_slots_category___barrel.html">ActionDetachFromTarget_SpecificSlotsCategory_Barrel</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a72b310dbeeb1ffbf3282ef41549e0c2c"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a72b310dbeeb1ffbf3282ef41549e0c2c">FindSlotIdToDetach</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a72b310dbeeb1ffbf3282ef41549e0c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1667c1caa5bb60db3e78e24db2d7de6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d69/class_action_detach_from_target___specific_slots_category.html">ActionDetachFromTarget_SpecificSlotsCategory</a> <a class="el" href="../../d3/d87/class_action_detach_from_target.html">ActionDetachFromTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#ae1667c1caa5bb60db3e78e24db2d7de6">ActionDetachFromTarget_SpecificSlot_WoodenLogs</a> ()</td></tr>
<tr class="separator:ae1667c1caa5bb60db3e78e24db2d7de6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b6ca382ce324b39bd04236b5e217bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dd9/class_action_detach_from_target___specific_slot___wooden_planks.html">ActionDetachFromTarget_SpecificSlot_WoodenPlanks</a> ActionDetachFromTarget_SpecificSlot&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a19b6ca382ce324b39bd04236b5e217bf">ActionDetachFromTarget_SpecificSlot_MetalSheets</a> ()</td></tr>
<tr class="separator:a19b6ca382ce324b39bd04236b5e217bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82056c08394c815d4740e732fd8c0a55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a82056c08394c815d4740e732fd8c0a55">ActionDetachFromTarget_SpecificSlot_WoodenPlanks</a> ()</td></tr>
<tr class="separator:a82056c08394c815d4740e732fd8c0a55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6379ce598225a2255be8bf4e0f8bcd10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d7d/class_action_detach_from_target___specific_slots_category___barrel.html">ActionDetachFromTarget_SpecificSlotsCategory_Barrel</a> <a class="el" href="../../d3/d69/class_action_detach_from_target___specific_slots_category.html">ActionDetachFromTarget_SpecificSlotsCategory</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a6379ce598225a2255be8bf4e0f8bcd10">ActionDetachFromTarget_SpecificSlotsCategory_WoodenCrate</a> ()</td></tr>
<tr class="separator:a6379ce598225a2255be8bf4e0f8bcd10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ca287de1b029d1931a95b97e3d58fea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a1ca287de1b029d1931a95b97e3d58fea">ActionDetachFromTarget_SpecificSlotsCategory_Barrel</a> ()</td></tr>
<tr class="separator:a1ca287de1b029d1931a95b97e3d58fea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:afd4c577311714eada7c531331dfc2a07"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d3/d87/class_action_detach_from_target.html">ActionDetachFromTarget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#afd4c577311714eada7c531331dfc2a07">m_slotToDetach</a></td></tr>
<tr class="separator:afd4c577311714eada7c531331dfc2a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3070026ef71d716695e68b59c1d4ac09"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html#a3070026ef71d716695e68b59c1d4ac09">m_slotsToDetach</a></td></tr>
<tr class="separator:a3070026ef71d716695e68b59c1d4ac09"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a19b6ca382ce324b39bd04236b5e217bf" name="a19b6ca382ce324b39bd04236b5e217bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19b6ca382ce324b39bd04236b5e217bf">&#9670;&#160;</a></span>ActionDetachFromTarget_SpecificSlot_MetalSheets()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dd9/class_action_detach_from_target___specific_slot___wooden_planks.html">ActionDetachFromTarget_SpecificSlot_WoodenPlanks</a> ActionDetachFromTarget_SpecificSlot ActionDetachFromTarget_SpecificSlot_MetalSheets </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00138">138</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="ae1667c1caa5bb60db3e78e24db2d7de6" name="ae1667c1caa5bb60db3e78e24db2d7de6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1667c1caa5bb60db3e78e24db2d7de6">&#9670;&#160;</a></span>ActionDetachFromTarget_SpecificSlot_WoodenLogs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d69/class_action_detach_from_target___specific_slots_category.html">ActionDetachFromTarget_SpecificSlotsCategory</a> <a class="el" href="../../d3/d87/class_action_detach_from_target.html">ActionDetachFromTarget</a> ActionDetachFromTarget_SpecificSlot_WoodenLogs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00138">138</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="a82056c08394c815d4740e732fd8c0a55" name="a82056c08394c815d4740e732fd8c0a55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82056c08394c815d4740e732fd8c0a55">&#9670;&#160;</a></span>ActionDetachFromTarget_SpecificSlot_WoodenPlanks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDetachFromTarget_SpecificSlot_MetalSheets::ActionDetachFromTarget_SpecificSlot_WoodenPlanks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00224">224</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="a1ca287de1b029d1931a95b97e3d58fea" name="a1ca287de1b029d1931a95b97e3d58fea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ca287de1b029d1931a95b97e3d58fea">&#9670;&#160;</a></span>ActionDetachFromTarget_SpecificSlotsCategory_Barrel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ActionDetachFromTarget_SpecificSlotsCategory_WoodenCrate::ActionDetachFromTarget_SpecificSlotsCategory_Barrel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00240">240</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="a6379ce598225a2255be8bf4e0f8bcd10" name="a6379ce598225a2255be8bf4e0f8bcd10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6379ce598225a2255be8bf4e0f8bcd10">&#9670;&#160;</a></span>ActionDetachFromTarget_SpecificSlotsCategory_WoodenCrate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d7d/class_action_detach_from_target___specific_slots_category___barrel.html">ActionDetachFromTarget_SpecificSlotsCategory_Barrel</a> <a class="el" href="../../d3/d69/class_action_detach_from_target___specific_slots_category.html">ActionDetachFromTarget_SpecificSlotsCategory</a> ActionDetachFromTarget_SpecificSlotsCategory_WoodenCrate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00138">138</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="a72b310dbeeb1ffbf3282ef41549e0c2c" name="a72b310dbeeb1ffbf3282ef41549e0c2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72b310dbeeb1ffbf3282ef41549e0c2c">&#9670;&#160;</a></span>FindSlotIdToDetach()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> FindSlotIdToDetach </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00138">138</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3070026ef71d716695e68b59c1d4ac09" name="a3070026ef71d716695e68b59c1d4ac09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3070026ef71d716695e68b59c1d4ac09">&#9670;&#160;</a></span>m_slotsToDetach</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> m_slotsToDetach</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html#l00208">208</a> of file <a class="el" href="../../d7/df0/_action_detach_from_target_8c_source.html">ActionDetachFromTarget.c</a>.</p>

</div>
</div>
<a id="afd4c577311714eada7c531331dfc2a07" name="afd4c577311714eada7c531331dfc2a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd4c577311714eada7c531331dfc2a07">&#9670;&#160;</a></span>m_slotToDetach</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d3/d87/class_action_detach_from_target.html">ActionDetachFromTarget</a> m_slotToDetach</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_db22a6aaa1333ce39e022321034f28d1.html">Interact</a></li><li class="navelem"><a class="el" href="../../d7/df0/_action_detach_from_target_8c.html">ActionDetachFromTarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
